﻿<div class="table-responsive responsive table_cart" id="TableListPQ">
    <table id="assets-data-table-ListPQ" class="table display" style="width:100%;"></table>
    <script type="text/javascript">
        var assetListVM_ListPQ;
        $(function () {
            assetListVM_ListPQ = {
                dt: null,
                init: function () {
                    dt = $('#assets-data-table-ListPQ').DataTable({
                        "autoWidth": true,
                        "serverSide": true,
                        "processing": true,
                        "data": null,
                        "drawCallback": function (settings) {
                            $("#assets-data-table-ListPQ").find("input:checked").each(function (i, ob) {
                                $(ob).parent().parent().addClass('selected');;
                            });
                        },
                        "dom": '<"top"lp>rt<"bottom"ip>',
                        "ajax": {
                            "url": "/Purchase/PurchaseOrder/ListCopyFrom",
                            "type": 'POST',
                            "data": function (data) {
                                data.pCodeVendor = $("#txtCodeVendor").val();
                                data.pDocumentType = 'PQ';
                            }
                        },
                        "columns": [
                            {
                                "title": "", "data": "DocEntry", "orderable": true, "name": "DocEntry",
                                "render": function (data, type, full, meta) {
                                    var mChecked = "";
                                    if (pDocumentsToCopy.indexOf(data) != -1)
                                    {
                                        mChecked = "checked";
                                    }
                                    return "<input id=\"ckcopyfrom_" + data + "\" type=\"checkbox\" value='" + data + "' onchange=\"AddOrRemoveDocumentToCopy(" + data + ",$('#ckcopyfrom_" + data + "').is(':checked'), 'ckcopyfrom_" + data + "')\" " + mChecked + ">";
                                }
                            },
                            { "title": "#", "data": "DocNum", "name": "DocNum" },
                            { "title": "DocDate", "data": "DocDateJSONView", "name": "DocDate" },
                            { "title": "CardName", "data": "CardName", "name": "CardName"  },
                            { "title": "Comments", "data": "Comments", "name": "Comments"  },
                            { "title": "DocDueDate", "data": "DocDueDateJSONView", "name": "DocDueDate"  },
                            {
                                "title": "DocStatus", "name": "DocStatus", "data": "DocStatus",
                                "render": function (data, type, full, meta) {
                                    switch (data) {
                                        case "C": return "@PurchaseOrders.Closed"; break;
                                        case "O": return "@PurchaseOrders.Open"; break;
                                        default: ""; break;
                                    }
                                }
                            }
                        ],
                        "lengthMenu": [[10, 25, 50, 100], [10, 25, 50, 100]],
                    });
                },
                refresh: function () {
                    dt.ajax.reload();
                }
            }
            assetListVM_ListPQ.init();
        });
    </script>
</div>

